class HoboMigration5 < ActiveRecord::Migration
  def self.up
    create_table :categorias do |t|
      t.string   :nombre
      t.datetime :created_at
      t.datetime :updated_at
    end

    create_table :categoria_cursos do |t|
      t.datetime :created_at
      t.datetime :updated_at
      t.integer  :categoria_id
      t.integer  :curso_id
    end
    add_index :categoria_cursos, [:categoria_id]
    add_index :categoria_cursos, [:curso_id]
  end

  def self.down
    drop_table :categorias
    drop_table :categoria_cursos
  end
end
